[arch-commits] Commit in python-bottle/trunk (PKGBUILD)

Felix Yan fyan at nymeria.archlinux.org
Sat Apr 26 00:05:13 UTC 2014


    Date: Saturday, April 26, 2014 @ 02:05:13
  Author: fyan
Revision: 110185

upgpkg: python-bottle 0.12.6-1

- upstream new release
- add check() to run self tests

Modified:
  python-bottle/trunk/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2014-04-25 23:44:06 UTC (rev 110184)
+++ PKGBUILD	2014-04-26 00:05:13 UTC (rev 110185)
@@ -6,14 +6,17 @@
 
 pkgbase=python-bottle
 pkgname=("python-bottle" "python2-bottle")
-pkgver=0.12.5
-pkgrel=2
+pkgver=0.12.6
+pkgrel=1
 pkgdesc="A fast and simple micro-framework for small web-applications"
 arch=(any)
 url="http://bottlepy.org"
 license=('MIT')
 options=(!emptydirs)
-makedepends=('python3' 'python2' 'git')
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja'
+              'python-cherrypy' 'python2-cherrypy' 'twisted' 'python-tornado'
+              'python2-tornado')
 source=("git+https://github.com/defnull/bottle.git#tag=${pkgver}")
 
 prepare() {
@@ -21,6 +24,14 @@
   sed -i "1s/python/python2/" python2-bottle/bottle.py
 }
 
+check() {
+  cd bottle
+  python test/testall.py || true # Tests failed, 0.12.6
+
+  cd ../python2-bottle
+  python2 test/testall.py
+}
+
 package_python-bottle() {
   depends=('python3')
 




More information about the arch-commits mailing list